Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004606OCamlOCaml generalpublic2008-08-28 11:082009-04-01 18:53
Reportermonate 
Assigned Tofrisch 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.11.0 
Summary0004606: Native dynlink: Dynlink.init is still required
DescriptionUsing the following files:
===static.ml===
open Dynlink
let () =
  try
    (*init ();*)
    loadfile "dyn.cmxs"
  with Error e -> Format.printf "%s@." (error_message e)
================
==dyn.ml========
Format.printf "HELLO@.";;
================

and compiling with:
==
ocamlopt -shared -o dyn.cmxs dyn.ml
ocamlopt -o test dynlink.cmxa static.ml
==

./test output is:
===
no implementation available for Format
===

Un-commenting init () in static.ml solves the issue, but the documentation explicitly says that init is deprecated and is called automatically.

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004591)
frisch (developer)
2008-08-29 00:19

Thanks! This is fixed in the current CVS.

Out of curiosity, where did you find the documentation for OCaml 3.11?
(0004593)
monate (reporter)
2008-08-29 00:34

Well I read otherlibs/dynlink/dynlink.mli and your web page. By the way on your page you mention the -dlcode option which does not exist anymore.

Cheers !

- Issue History
Date Modified Username Field Change
2008-08-28 11:08 monate New Issue
2008-08-29 00:19 frisch Note Added: 0004591
2008-08-29 00:34 monate Note Added: 0004593
2008-09-01 21:26 frisch Status new => assigned
2008-09-01 21:26 frisch Assigned To => frisch
2008-09-01 21:27 frisch Status assigned => resolved
2008-09-01 21:27 frisch Fixed in Version => 3.11+dev
2008-09-01 21:27 frisch Resolution open => fixed
2009-04-01 18:53 xleroy Status resolved => closed
2009-04-01 18:53 xleroy Product Version 3.11+dev =>
2009-04-01 18:53 xleroy Fixed in Version 3.11+dev => 3.11.0


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker